Trainer
=======

TrainerStats
------------

..  doxygenclass:: paddle::TrainerStats
    :members:

RemoteParameterUpdater
-----------------------

..  doxygenclass:: paddle::RemoteParameterUpdater
    :members:

ConcurrentRemoteParameterUpdater
---------------------------------

..  doxygenclass:: paddle::ConcurrentRemoteParameterUpdater
    :members:

SparseRemoteParameterUpdater
----------------------------

..  doxygenclass:: paddle::SparseRemoteParameterUpdater
    :members:

SparseRemoteParameterUpdaterComposite
-------------------------------------

..  doxygenclass:: paddle::SparseRemoteParameterUpdaterComposite
    :members:
